# Elevate
# Copyright 2007 Jeff Armstrong (jba@member.fsf.org) 
# 
# This program is free software; you can redistribute it and/or modify 
# it under the terms of the GNU General Public License as published by 
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version. 
#  
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License 
# along with this program; if not, write to:
# Free Software Foundation, Inc.
# 51 Franklin Street, Fifth Floor
# Boston, MA  02110-1301, USA

NUMBER_FLOORS = 10

SCALING = 1
BASE_WIDTH = 800
BASE_HEIGHT = 600

BOTTOM_BUFFER = 20
TOP_BUFFER = 20
GAME_WIDTH = BASE_WIDTH*0.65

# Elevator constants
ELEV_WIDTH_MULTIPLE = 1.5

# Control constants
UP = 1
DOWN = 0

# The max number of complaints allowed
MAX_COMPLAINTS = 50

# Flag for angry leaving on bad floor lineups
ANGRY_EXITS = False

# The speed at which people walk
PEOPLE_VELOCITY = 1

# Space stops the elevator
SPACE_STOPS_IT = True

# Passenger create count
CREATE_AFTER = 200

# The game title
TITLE = 'Elevate'
INFO0 = 'PrintStar\'s Entry for PyWeek #4'
INFO1 = 'Copyright 2007 Jeffrey Armstrong (aka PrintStar)'
INFO2 = 'Licensed under the GNU General Public License'